Page MenuHomePhabricator

Edits lost when clicking back from talk overlay
Closed, ResolvedPublic2 Story Points

Description

NOTE: Discovered while working on T226106

Expected: Edits retained you can continue editing.
Actual: Edits retained you can continue editing.

Now...

  • Press the BROWSER BACK Button
  • A confirmation message shows. Click cancel!

Expected: Edits retained you can continue editing.
Actual: MY EDITS ARE LOST FOREVER OHHHH NO

Developer notes

It's overriding Overlay.prototype.hide - we now encourage a onBeforeExit callback that is passed into the constructor.

QA Results

ACStatusDetails
1T228235#5363811

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterTalkSectionAddOverlay should use onBeforeExit function

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2019, 11:33 PM

Change 523829 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] TalkSectionAddOverlay should use onBeforeExit function

https://gerrit.wikimedia.org/r/523829

Jdlrobson updated the task description. (Show Details)Jul 16 2019, 11:34 PM
ovasileva triaged this task as Normal priority.Jul 17 2019, 3:41 PM
ovasileva set the point value for this task to 2.Jul 17 2019, 4:43 PM

Change 523829 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] TalkSectionAddOverlay should use onBeforeExit function

https://gerrit.wikimedia.org/r/523829

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain#/talk/new
Type in text in subject and body
CLick the back button
A confirmation message shows. Click cancel!
✅ AC1: Edits retained you can continue editing.

Edtadros reassigned this task from Edtadros to ovasileva.Jul 25 2019, 2:34 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.

@ovasileva can we tag this with a project?

phuedx claimed this task.Jul 30 2019, 8:59 AM
phuedx added a subscriber: ovasileva.
phuedx closed this task as Resolved.Jul 31 2019, 10:20 AM

LGTM 💪